/*
 * battery.h
 * 
 * Copyright (C) 2006  Josef Kufner <jk@myserver.cz>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef JK_BATTERY_H
#define JK_BATTERY_H

enum {
	BAT_UNKNOWN,
	BAT_MISSING,
	BAT_DISCHARGING,
	BAT_CHARGING,
	BAT_CHARGED
};

int read_battery(const char * filename, int *r_seconds, float *r_part, int *r_state);

#endif

