/*
 * wmcdclock.c - icebuteo module 'clock'
 * 
 * Copyright (C) 2006  Josef Kufner <jk@myserver.cz>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

#ifndef JK_WMCDCLOCK_H
#define JK_WMCDCLOCK_H

#include <time.h>

int open_fifo(char *fifo_name);
int close_fifo(char *fifo_name, int fifo_fd);
int reopen_fifo(char *fifo_name, int old_fifo_fd);
int parse_fifo(char *buf, time_t *count_down_time);

#endif

